package net.wanji.web.common.enums;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/03/29 17:47
 */
public enum CrossLisghtsLaneDirEnum {
    ONE(1, 5, "北"),
    TWO(2, 6, "东北"),
    THREE(3, 7, "东"),
    FOUR(4, 8, "东南"),
    FIVE(5, 1, "南"),
    SIX(6, 2,"西南"),
    SEVEN(7, 3, "西"),
    EIGHT(8, 4,"西北");

    private final int lightDir;
    private final int laneDir;
    private final String msg;

    public static Integer getLaneDirByLightsDir(Integer lightDir) {
        CrossLisghtsLaneDirEnum[] values = CrossLisghtsLaneDirEnum.values();
        for (CrossLisghtsLaneDirEnum value : values) {
            if (Objects.equals(value.getLightDir(), lightDir)) {
                return  value.getLaneDir();
            }
        }
        return null;
    }

    public static Integer getBackByFront(Integer frontCode) {
        for (CrossTurnEnum value : CrossTurnEnum.values()) {
            if (value.getFrontCode() == frontCode) {
                return value.getBackCode();
            }
        }
        return null;
    }

    CrossLisghtsLaneDirEnum(int lightDir, int laneDir, String msg) {
        this.lightDir = lightDir;
        this.laneDir = laneDir;
        this.msg = msg;
    }

    public int getLightDir() {
        return lightDir;
    }

    public int getLaneDir() {
        return laneDir;
    }

    public String getMsg() {
        return msg;
    }
}
